Error
A valid request URL is required to generate request examples{
"results": {
"builtInSkills": [
{
"description": "<string>",
"name": "<string>"
}
],
"skills": [
{
"deletedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedByUserUuid": "<string>",
"createdByUserUuid": "<string>",
"agentUuids": [
"<string>"
],
"currentVersion": {
"createdByUserUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"restoredFromVersion": 123,
"source": "ui",
"contentHash": "<string>",
"versionNumber": 123,
"uuid": "<string>"
},
"availability": [
"agent"
],
"userInvocable": true,
"disableModelInvocation": true,
"argumentHint": "<string>",
"description": "<string>",
"title": "<string>",
"name": "<string>",
"projectUuid": "<string>",
"organizationUuid": "<string>",
"uuid": "<string>"
}
]
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}API Reference
Set agent skills
Replace the set of custom skills bound to this agent.
PUT
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
{agentUuid}
/
skills
Error
A valid request URL is required to generate request examples{
"results": {
"builtInSkills": [
{
"description": "<string>",
"name": "<string>"
}
],
"skills": [
{
"deletedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedByUserUuid": "<string>",
"createdByUserUuid": "<string>",
"agentUuids": [
"<string>"
],
"currentVersion": {
"createdByUserUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"restoredFromVersion": 123,
"source": "ui",
"contentHash": "<string>",
"versionNumber": 123,
"uuid": "<string>"
},
"availability": [
"agent"
],
"userInvocable": true,
"disableModelInvocation": true,
"argumentHint": "<string>",
"description": "<string>",
"title": "<string>",
"name": "<string>",
"projectUuid": "<string>",
"organizationUuid": "<string>",
"uuid": "<string>"
}
]
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Body
application/json
Authoritative set of skills bound to one agent.
Was this page helpful?